import type { GomokuDirectionType } from './constant';
import type { IGomokuContext } from './context.type';
import type { IGomokuCountMap } from './count-map.type';
import type { IDirCounter } from './types';
export declare class GomokuCountMap implements IGomokuCountMap {
    readonly context: Readonly<IGomokuContext>;
    protected readonly _rightHalfDirCountMap: IDirCounter[][][];
    constructor(context: Readonly<IGomokuContext>);
    init(): void;
    forward(posId: number): void;
    revert(posId: number): void;
    getDirCounters(startPosId: number, dirType: GomokuDirectionType): ReadonlyArray<IDirCounter>;
    protected _updateHalfDirCounter(playerId: number, posId: number, dirType: GomokuDirectionType): void;
}
